class dmlite::dav::params (
) inherits dmlite::params {
  $package_name       = hiera('dmlite::dav::params::package_name','dmlite-apache-httpd')
  $dmlite_conf        = hiera('dmlite::dav::params::dmlite_conf','/etc/dmlite.conf')
  $dmlite_disk_conf   = hiera('dmlite::dav::params::dmlite_disk_conf','/etc/dmlite-disk.conf')
  $ns_type            = hiera('dmlite::dav::params::ns_type', 'DPM')
  $ns_prefix          = hiera('dmlite::dav::params::ns_prefix', 'dpm')
  $disk_prefix        = hiera('dmlite::dav::params::disk_prefix', 'dpm')
  $ns_flags           = hiera('dmlite::dav::params::ns_flags', 'Write RemoteCopy')
  $ns_anon            = hiera('dmlite::dav::params::ns_anon', 'nobody:nogroup')
  $ns_max_replicas    = hiera('dmlite::dav::params::ns_max_replicas', 3)
  $ns_secure_redirect = hiera('dmlite::dav::params::ns_secure_redirect', 'On')
  $ns_trusted_dns     = hiera('dmlite::dav::params::ns_trusted_dns', undef)
  $ns_macaroon_secret = hiera('dmlite::dav::params::ns_macaroon_secret', undef)
  $disk_flags         = hiera('dmlite::dav::params::disk_flags', 'Write RemoteCopy')
  $disk_anon          = hiera('dmlite::dav::params::disk_anon', 'nobody:nogroup')
  $ssl_cert           = hiera('dmlite::dav::params::ssl_cert', '/etc/grid-security/hostcert.pem')
  $ssl_key            = hiera('dmlite::dav::params::ssl_key', '/etc/grid-security/hostkey.pem')
  $ssl_capath         = hiera('dmlite::dav::params::ssl_capath', '/etc/grid-security/certificates')
  $ssl_protocol       = hiera('dmlite::dav::params::ssl_protocol', 'all -SSLv2 -SSLv3')
  $ssl_ciphersuite    = hiera('dmlite::dav::params::ssl_ciphersuite', 'HIGH:!aNULL:!MD5')
  $ssl_cipherorder    = hiera('dmlite::dav::params::ssl_ciphersuite', 'on')
  $ssl_options        = hiera('dmlite::dav::params::ssl_options','+StdEnvVars')
  $ssl_tpc_capath     = hiera('dmlite::dav::params::ssl_tpc_capath', '/etc/grid-security/certificates')
  $ssl_tpc_crlpath    = hiera('dmlite::dav::params::ssl_tpc_crlpath', '/etc/grid-security/certificates')
  $log_error          = hiera('dmlite::dav::params::log_error', 'logs/ssl_error_log')
  $log_transfer       = hiera('dmlite::dav::params::log_transfer', 'logs/ssl_access_log')
  $log_level          = hiera('dmlite::dav::params::log_level','warn')
  $user               = hiera('dmlite::dav::params::user', 'dpmmgr')
  $group              = hiera('dmlite::dav::params::group','dpmmgr')
  $coredump_dir       = hiera('dmlite::dav::params::coredump_dir', undef)
  $ulimit             = hiera('dmlite::dav::params::ulimit', undef)
  $enable_ns          = hiera('dmlite::dav::params::enable_ns',true)
  $enable_disk        = hiera('dmlite::dav::params::enable_disk', true)
  $enable_https       = hiera('dmlite::dav::params::enable_https', true)
  $enable_http        = hiera('dmlite::dav::params::enable_http', true)
  $enable_keep_alive  = hiera('dmlite::dav::params::enable_keep_alive', true)
  $mpm_model          = hiera('dmlite::dav::params::mpm_model', '/usr/sbin/httpd.event')
  $enable_hdfs        = hiera('dmlite::dav::params::enable_hdfs', false)
  $enable_srr_cgi     = hiera('dmlite::dav::params::enable_srr_cgi', true)
  $max_transfer_time  = hiera('dmlite::dav::params::max_transfer_time', undef)

  $enable_ns_oidc               = hiera('dmlite::dav::params::enable_ns_oidc', false)
  $ns_oidc_metadataurl          = hiera('dmlite::dav::params::ns_oidc_metadataurl', 'https://wlcg.cloud.cnaf.infn.it/.well-known/openid-configuration')
  $ns_oidc_scope                = hiera('dmlite::dav::params::ns_oidc_scope', 'openid email profile wlcg.groups')
  $ns_oidc_clientid             = hiera('dmlite::dav::params::ns_oidc_clientid', '')
  $ns_oidc_clientsecret         = hiera('dmlite::dav::params::ns_oidc_clientsecret', '')
  $ns_oidc_passphrase           = hiera('dmlite::dav::params::ns_oidc_passphrase', '')
  $ns_oidc_redirecturi          = hiera('dmlite::dav::params::ns_oidc_redirecturi', "https://${::fqdn}/dpm/redirect_uri")
  $ns_oidc_auth_verify_jwks_uri = hiera('dmlite::dav::params::ns_oidc_auth_verify_jwks_uri', 'https://wlcg.cloud.cnaf.infn.it/jwk')
}
